function qingjiejie2_shop()

  --取得商店NPC ID 
  npcId = npc.GetCurrentID()
  
  --取得玩家选择的项目 
  n = flag.GetValue(8000)
  
  --执行对应操作

	--买
	if n == 1 then 
    ui.ShowShopDlg(1,1)
	ui.ClearShopList()

	for i=1,37,1 do
    ui.AddShopList(i)
	end
	for i=70,81,1 do
    ui.AddShopList(i)
	end
	for i=100,122,1 do
    ui.AddShopList(i)
	end
    ui.AddShopList(125)
	
	if flag.GetValue(51234)==2 then
	for i=402,435,1 do
    ui.AddShopList(i)
	end	
	end
	
	global.WaitForShopDlg()
	
	--卖 
	elseif n == 2 then
	
	  ui.ShowShopDlg(2,1)
	  
	  global.WaitForShopDlg()
	
	--离开 
    else
	  ui.Popo(170802,1,npcId,0)--欢迎下次光临！
	end
	  
	 --商店窗口关闭后，npc转回原方向  
     npc.TurnTo(npcId,0,1)
     global.WaitForNpcTurn(npcId)
 
   
end